//-----------------------------------------------------------------------------
// Project            	RenderKit
// Class		G3DShape+WaterSurface
// Creator            	Philippe C.D. Robert
// Maintainer         	Philippe C.D. Robert
// Creation Date      	Fri Jun 16 13:50:36 CEST 2000
//
// Copyright (c) Philippe C.D. Robert
//
// The RenderKit is free software; you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free 
// Software Foundation
//
// $Id: G3DShape+WaterSurface.h,v 1.1 2001/07/15 15:40:58 probert Exp $
//-----------------------------------------------------------------------------

#ifndef __G3DShapeWaterSurface_h_INCLUDE
#define __G3DShapeWaterSurface_h_INCLUDE

#import <Foundation/Foundation.h>
#import <RenderKit/G3DShape.h>

@interface G3DShape (WaterSurface)

+ (G3DShape *)waterSurfaceWithSlices:(int)sl scale:(float)sc texture:(G3DTexture *)tex;
  // Initialises a waterlike surface based on G3DWaterSurface

@end

#endif




